{{ define "header" }}
  {{ partialCached "page/page-header.html" . . }}
{{ end }}

{{ define "main" }}

  <article>
    {{- partialCached "page/page-section-header.html" . .Title -}}
    {{- with .Params.legacy_text | default .Content -}}
      {{ partial "page/page-content.html" (dict "content" .) }}
    {{- end -}}
    <section class="section w-full pt-3 pb-12 border-b">
      <div class="grid grid-auto" style="--flow-space:2rem;--min:240px">
        {{ $paginator := .Paginate (.Pages.ByPublishDate.Reverse) }}
        {{ range $paginator.Pages }}
        {{- partialCached "page/page-post.html" . . -}}
        {{ end }}
      </div>
    </section>
  </article>

  {{ partialCached "elements/pagination.html" . . }}

{{ end }}
